#!/usr/bin/python -O
#
# cdbak - cd record backup program
#
# Copyright (C) 1999 Steve Ratcliffe
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2 as
#  published by the Free Software Foundation.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#

import os, ConfigParser
import gtk
import gui
import control
import config
import command

class error(Exception):
	pass

# The main routine
def main():

	conf = config.get_config()
	config_list = config.get_file_lists(conf)

	# Set up the gui front end and the control callbacks
	# and the links between them.
	cb = control.Callbacks()
	interface = gui.CdbakGui(config_list, cb)
	cb.set_frontend(interface)

	interface.init_screen()

	cb.set_conf(conf)

	gtk.mainloop()
	command.killall()

if __name__ == '__main__':
	import cdbak
	try:
		main()
	except cdbak.error, msg:
		print "CDBAK ERROR:", msg
